{{/* This template is obtained from Hugo-primer theme. */}}
{{- $pag := $.Paginator }}
{{- if gt $pag.TotalPages 1 }}
<nav role="navigation" aria-label="pagination" class="paginate-container">
  <div class="pagination">
    <ul>
      {{- if $pag.HasPrev }}
      <a href="{{ $pag.Prev.URL }}" class="previous_page">Prev</a>
      {{- else }}
      <span class="previous_page disabled">Prev</span>
      {{- end }}
      {{- range $pag.Pagers }}
          {{- $right := sub .TotalPages .PageNumber }}
          {{- $showNumber := or (le .PageNumber 3) (eq $right 0) }}
          {{- $showNumber := or $showNumber (and (gt .PageNumber (sub $pag.PageNumber 2)) (lt .PageNumber (add $pag.PageNumber 2)))  }}
          {{- if $showNumber }}
              {{- $.Scratch.Set "__paginator.ellipsed" false }}
              {{- $.Scratch.Set "__paginator.shouldEllipse" false }}
          {{- else }}
              {{- $.Scratch.Set "__paginator.shouldEllipse" (not ($.Scratch.Get "__paginator.ellipsed") ) }}
              {{- $.Scratch.Set "__paginator.ellipsed" true }}
          {{- end }}
          {{- if $showNumber }}
            {{- if eq . $pag }}
              <span class="current selected" aria-current="true">{{ .PageNumber }}</span>
            {{- else }}
              <a href="{{ .URL }}">{{ .PageNumber }}</a>
            {{- end }}
          {{- else if ($.Scratch.Get "__paginator.shouldEllipse") }}
            <span class="gap">…</span>
          {{- end }}
      {{- end }}
      {{- if $pag.HasNext }}
      <a href="{{ $pag.Next.URL }}" class="next_page">Next</a>
      {{- else }}
      <span class="next_page disabled">Next</span>
      {{- end }}
    </ul>
  </div>
</nav>
{{- end }}
